<!DOCTYPE html>
<html>
    <head></head>
    <body>
        <h1 style="text-align: left"> HTML </h1>
       <div>HTML (HyperText Markup Language - "мова гіпертекстової розмітки") -
        найбільш базовий будівельний блок <a href="https://uk.wikipedia.org/wiki/%D0%86%D0%BD%D1%82%D0%B5%D1%80%D0%BD%D0%B5%D1%82">Інтернету</a>  .
         Він визначає зміст та структуру <a href="https://uk.wikipedia.org/wiki/%D0%86%D0%BD%D1%84%D0%BE%D1%80%D0%BC%D0%B0%D1%86%D1%96%D0%B9%D0%BD%D0%B5_%D0%BD%D0%B0%D0%BF%D0%BE%D0%B2%D0%BD%D0%B5%D0%BD%D0%BD%D1%8F_%D1%81%D0%B0%D0%B9%D1%82%D1%83">веб-контенту</a> . 
         Під гіпертекстом ("hypertext") розуміються посилання, 
         які з'єднують веб-сторінки один з одним або в межах одного <a href="https://uk.wikipedia.org/wiki/%D0%92%D0%B5%D0%B1%D1%81%D0%B0%D0%B9%D1%82">веб-сайту</a>  або між веб-сайтами.
          Посилання є фундаментальним аспектом Інтернету.
</div>
<p>Інші технології, крім HTML, зазвичай використовуються для опису зовнішнього вигляду/уявлення
    <a href="https://uk.wikipedia.org/wiki/CSS">(CSS)</a>  або функціональності/поведінки <a href="https://uk.wikipedia.org/wiki/JavaScript">(JavaScript)</a>  веб-сторінки. </p>
    <p> <strong>HTML-документ</strong>  - це звичайний текстовий документ, 
        може бути створений як у звичайному текстовому редакторі (Блокнот) , 
        так і в спеціалізованому з підсвічуванням коду (Notepad++, Visual Studio Code і т.п.) .
         HTML-документ має розширення .html.</p>
         <p>Завантажуючи контент в Інтернет і пов'язуючи його зі сторінками,
             створеними іншими людьми, ви стаєте активним учасником Всесвітньої мережі.
               HTML використовує розмітку <a href="https://uk.wikipedia.org/wiki/%D0%9C%D0%BE%D0%B2%D0%B0_%D1%80%D0%BE%D0%B7%D0%BC%D1%96%D1%82%D0%BA%D0%B8_%D0%B4%D0%B0%D0%BD%D0%B8%D1%85">("markup")</a>  для відображення тексту, зображень та іншого контенту у веб-браузері. </p>
        <p> <a href="https://uk.wikipedia.org/wiki/HTML">HTML-розмітка</a>  включає в себе спеціальні <a href="https://uk.wikipedia.org/wiki/%D0%95%D0%BB%D0%B5%D0%BC%D0%B5%D0%BD%D1%82%D0%B8_HTML">"елементи"</a> , такі як <a href="https://uk.wikipedia.org/wiki/%D0%A2%D0%B5%D0%B3_(%D0%BC%D0%B5%D1%82%D0%B0%D0%B4%D0%B0%D0%BD%D1%96)">теги</a>  
            та <a href="https://uk.wikipedia.org/wiki/%D0%90%D1%82%D1%80%D0%B8%D0%B1%D1%83%D1%82%D0%B8_HTML">атрибути</a> .</p>
            <h2>Структура веб-сторінки</h2>
            <p>HTML-документ складається з двох розділів – заголовка – вміст елемента &lt;head&gt; (технічна частина, видима лише розробнику) та змістовної частини – вміст &lt;body&gt; (відображається на екрані користувача).
            </p>
            <h2>Взаємозв’язки між вкладеними елементами поділяються на батьківські, дочірні та сестринські: </h2>
            <p> <strong>Предок</strong> - елемент, який містить інші елементи. Предком для всіх елементів є &lt;html&gt;. У той же час елемент &lt;body&gt; є предком для всіх елементів, що містяться в ньому: &lt;header&gt;, &lt;nav&gt;, &lt;h1&gt; і т.д.</p>
            <p> <strong>Нащадок</strong>  - елемент, розташований усередині одного або більше типів елементів. 
                Наприклад, &lt;body&gt; є нащадком &lt;html&gt;, а елемент &lt;header&gt; є нащадком одночасно &lt;body&gt; і &lt;html&gt;.       
            </p>
            <p> <strong>Батьківський елемент</strong>  - елемент, пов'язаний з іншими елементами нижчого рівня і вище за них.</p>
            <p><strong>Дочірній елемент</strong> — елемент, що безпосередньо підпорядкований іншому елементу вищого рівня.</p>
            <p> <strong>Сестринський елемент</strong>  — елемент, що має спільний батьківський елемент із розглянутим,
                 так звані елементи одного рівня, наприклад &lt;h1&gt;, &lt;div&gt; і &lt;ul&gt; або &lt;meta&gt;, &lt;link&gt; і &lt;title&gt;.</p>
    </body>
</html>